Subject: Responses to comments on the Event MIB

From: Ram Kavasseri <[email-masked]>
Date: Fri, 22 Oct 1999 12:17:00 -0700 (PDT)

Heere are my responses to Bert's comments on the Event MIB.
Please look for [*] and you'll find my comments.

> 
> You want this to be stds track MIB, so I strongly suggest
> to change:
> 
> abstract: remove note about "experimental"

[*] Ok. I rechecked the Expression MIB draft, and found experimental in that
draft as well. Remoced the note about "experimental" in both docs.

> 
> Module identity, pls change:
> 
>   dismanEventMIB MODULE-IDENTITY
>     LAST-UPDATED "9906241700Z"
>     ORGANIZATION "IETF Distributed Management Working Group"
>     CONTACT-INFO "Bob Stewart
>                   Cisco Systems, Inc.
>                   170 West Tasman Drive,
>                   San Jose CA 95134-1706.
>                   Phone: +1 408 526 4527
>                   Email: [email-masked]"
>     DESCRIPTION
>         "The MIB module for defining event triggers and actions
>         for network management purposes."
>     ::= { experimental 555 }
> 
> into
> 
>   dismanEventMIB MODULE-IDENTITY
>     LAST-UPDATED "9906241700Z"
>     ORGANIZATION "IETF Distributed Management Working Group"
>     CONTACT-INFO "Bob Stewart
> ==>??             Cisco Systems, Inc.
>                   170 West Tasman Drive,
>                   San Jose CA 95134-1706.
>                   Phone: +1 408 526 4527
> ==>??             Email: [email-masked]"
>     DESCRIPTION
>         "The MIB module for defining event triggers and actions
>         for network management purposes."
>     REVISION "...."  -- same date as Last Updated
>     DESCRIPTION "This is the initial version of this MIB
>                  Published as RFC xxxx"  -- RFC-Editor assigns xxxx
>     ::= { mib-2 xx } -- to be assigned by IANA

[*] Done.
 
> This also means you must import mib-2 from SNMPv2-SMI and no longer
> import experimental.

[*] done.

> I would not do:
>   -- For use as a default OID:
> 
>   zeroDotZero OBJECT IDENTIFIER ::= { 0 0 }
> 
> But instead import it from SNMPv2-SMI

[*] Done.

> Furthermore, SMICng gives me these errors/warning:
> C:\smicng\pro2207\work>smicng event.inc
> E: f(event.mi2), (637,5) Item "mteTriggerExistenceTest" in sequence
>                 "MteTriggerExistenceEntry" has conflicting syntax
>                  specified
> E: f(event.mi2), (638,5) Item "mteTriggerExistenceStartup" in sequence
>                 "MteTriggerExistenceEntry" has conflicting syntax
>                  specified
> E: f(event.mi2), (304,14) Default value for "mteTriggerTest" must be
>                  named bits in "{ }"
> E: f(event.mi2), (1236,14) Default value for "mteEventActions" must be
>                  named bits in "{ }"
> W: f(event.mi2), (1066,29) Row "mteObjectsEntry" does not have a consistent
>                  indexing scheme - all index items for "base row"
>                  mteTriggerEntry must be specified
> W: f(event.mi2), (1193,37) Row "mteEventEntry" does not have a
>                  consistent indexing scheme - all index items for
>                  "base row" mteTriggerEntry must be specified
> 
> *** 4 errors and 2 warnings in parsing
> I guess the warnings are a Perkins-ism, pls confirm if you think so too.
> I can make the compiler silent about the wngs, but the errors need fixing.

[*] Fixed the errors - the warnings don't make sense to me...
The last two errors about the DEFVAL also sound incorrect to me,
but maybe I'm mistaken?
 
> In the section on IPR (sect 9) I think I'd like to see one more paragraph
> as per RFC2026, sect 10.4 item (B).
> If we know of anyone having IPR claims in this area (cisco?) then we
> probably want to summarize that too in this section.
> 
> Bert

I asked Dale Francisco (My manager) whether Cisco holds any patents
for any part of the Event, Expression, or the Notification-Log MIB.
He didn't recall any patents that would affect these MIBs, but
said he'd do some research and get back about it. I'll ask
him to post his response to the disman list. I've also asked Bob Stewart
to clarify this issue.

Ram